clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
92.3
93.7
95.1
96.5
97.9
99.3
100.7
102.1
103.5
104.9
106.3
107.7
109.1
110.5
111.9
113.3
114.7
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.00109162	0.00113599	0.00118577	0.00124193	0.00130564	0.0013784	0.00146214	0.00155938	0.00167349	0.00180901	0.00197236	0.00217277	0.00242404	0.00274789	0.00318044	0.0037866	0.00469598;
0.00109262	0.00113709	0.00118698	0.00124325	0.00130708	0.00137997	0.00146387	0.00156128	0.00167557	0.00181132	0.00197493	0.00217565	0.00242731	0.00275164	0.00318483	0.00379187	0.00470256;
0.0010937	0.00113827	0.00118827	0.00124465	0.00130861	0.00138164	0.00146569	0.00156328	0.00167777	0.00181374	0.00197762	0.00217865	0.00243071	0.00275554	0.00318938	0.00379733	0.00470938;
0.00109487	0.00113954	0.00118964	0.00124614	0.00131023	0.0013834	0.00146761	0.00156537	0.00168006	0.00181627	0.00198042	0.00218178	0.00243424	0.00275959	0.0031941	0.00380299	0.00471642;
0.00109611	0.00114088	0.00119109	0.00124771	0.00131193	0.00138524	0.00146961	0.00156755	0.00168245	0.00181889	0.00198333	0.00218502	0.0024379	0.00276377	0.00319898	0.00380883	0.00472368;
0.00109742	0.00114229	0.00119262	0.00124936	0.0013137	0.00138717	0.00147169	0.00156982	0.00168492	0.00182161	0.00198633	0.00218838	0.00244167	0.00276809	0.00320401	0.00381484	0.00473115;
0.0010988	0.00114378	0.00119422	0.00125108	0.00131555	0.00138917	0.00147386	0.00157217	0.00168749	0.00182443	0.00198944	0.00219183	0.00244556	0.00277253	0.00320917	0.00382101	0.00473882;
0.00110025	0.00114533	0.00119588	0.00125286	0.00131748	0.00139124	0.0014761	0.0015746	0.00169014	0.00182733	0.00199264	0.00219539	0.00244957	0.00277709	0.00321448	0.00382734	0.00474668;
0.00110176	0.00114695	0.00119761	0.00125472	0.00131947	0.00139339	0.00147842	0.00157711	0.00169287	0.00183032	0.00199593	0.00219905	0.00245367	0.00278177	0.00321991	0.00383383	0.00475472;
0.00110333	0.00114862	0.00119941	0.00125664	0.00132153	0.0013956	0.0014808	0.00157969	0.00169567	0.00183338	0.0019993	0.00220279	0.00245788	0.00278656	0.00322548	0.00384046	0.00476293;
0.00110496	0.00115036	0.00120126	0.00125862	0.00132365	0.00139788	0.00148326	0.00158235	0.00169855	0.00183653	0.00200276	0.00220663	0.00246218	0.00279146	0.00323116	0.00384723	0.00477131;
0.00110665	0.00115216	0.00120317	0.00126066	0.00132584	0.00140022	0.00148577	0.00158506	0.0017015	0.00183975	0.0020063	0.00221055	0.00246658	0.00279646	0.00323696	0.00385413	0.00477986;
0.00110839	0.001154	0.00120514	0.00126276	0.00132808	0.00140262	0.00148836	0.00158785	0.00170452	0.00184304	0.00200991	0.00221455	0.00247106	0.00280156	0.00324287	0.00386116	0.00478856;
0.00111018	0.0011559	0.00120716	0.00126491	0.00133037	0.00140508	0.001491	0.00159069	0.0017076	0.00184639	0.0020136	0.00221863	0.00247563	0.00280675	0.00324888	0.00386832	0.00479741;
0.00111202	0.00115786	0.00120923	0.00126712	0.00133273	0.00140759	0.00149369	0.0015936	0.00171075	0.00184982	0.00201735	0.00222279	0.00248028	0.00281203	0.003255	0.00387559	0.0048064;
0.00111391	0.00115985	0.00121135	0.00126937	0.00133513	0.00141016	0.00149644	0.00159656	0.00171395	0.00185331	0.00202118	0.00222702	0.00248502	0.00281741	0.00326122	0.00388298	0.00481553;
0.00111584	0.0011619	0.00121352	0.00127167	0.00133758	0.00141278	0.00149925	0.00159958	0.00171722	0.00185686	0.00202507	0.00223132	0.00248982	0.00282286	0.00326753	0.00389048	0.00482479];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','s',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0008 0.00482479])
ylim([92.3E9 114.7E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([92.3E9 96.0E9 100.0E9 105.0E9 110.0E9 114.7E9])
zticks([0.00109162 0.002 0.003 0.004 0.00482479])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-36Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_36AlDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Highload_36AlDoped_strainenergy_LLZO_48e_fAl.png